Subject: Need Omnibot 2000 parts

From: "Keys" <[email-masked]>
Date: Tue Apr 15 21:31:41 2003

I'm looking for two items to complete my omnibot 2000. I need the remote
control and the tray. Also the cardboard base would be nice to have.  If
anyone has these items to sell or trade let me know off line. Thanks